# ELicenseStatus

<table><thead><tr><th width="296">Name</th><th>Description</th><th width="100">Value</th></tr></thead><tbody><tr><td>EKeyNotFound</td><td>the key was not found</td><td>0</td></tr><tr><td>EKeyNotSet</td><td>the status was not initialized</td><td>1</td></tr><tr><td>EKeyPermanent</td><td>the key is a permanent key</td><td>2</td></tr><tr><td>EKeyDemo</td><td>the key is a trial or subscription key</td><td>4</td></tr><tr><td>EKeyInvalid</td><td>the key is not valid</td><td>8</td></tr><tr><td>EKeyProductInvalid</td><td>the product ID embedded in the key does not match the current product</td><td>16</td></tr><tr><td>EKeyVersionInvalid</td><td>the version embedded in the key does not match the current version</td><td>32</td></tr><tr><td>EKeyExpired</td><td>the key has expired</td><td>64</td></tr><tr><td>EKeyTampered</td><td>the system date was tampered with</td><td>128</td></tr><tr><td>EKeyMachineInvalid</td><td>the machine identifier embedded in the key does not match the current system</td><td>256</td></tr><tr><td>EKeyNeedsActivation</td><td>the key needs activation</td><td>512</td></tr><tr><td>EKeyExceededAllowedInstances</td><td>the number of allowed instances on a Terminal Server has been exceeded</td><td>1024</td></tr><tr><td>EKeyRevoked</td><td>the key was revoked</td><td>2048</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/enums/elicensestatus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
